# PulpFileClient::FileFileAlternateContentSourceResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**name** | **String** | Name of Alternate Content Source. | 
**last_refreshed** | **DateTime** | Date of last refresh of AlternateContentSource. | [optional] 
**paths** | **Array&lt;String&gt;** | List of paths that will be appended to the Remote url when searching for content. | [optional] 
**remote** | **String** | The remote to provide alternate content source. | 

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::FileFileAlternateContentSourceResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 name: null,
                                 last_refreshed: null,
                                 paths: null,
                                 remote: null)
```


