# PulpFileClient::FileFileContent

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**repository** | **String** | A URI of a repository the new content unit should be associated with. | [optional] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**relative_path** | **String** | Path where the artifact is located relative to distributions base_path | 
**file** | **File** | An uploaded file that may be turned into the content unit. | [optional] 
**upload** | **String** | An uncommitted upload that may be turned into the content unit. | [optional] 

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::FileFileContent.new(repository: null,
                                 artifact: null,
                                 relative_path: null,
                                 file: null,
                                 upload: null)
```


