# PulpFileClient::FileFileContentResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | [optional] 
**relative_path** | **String** | Path where the artifact is located relative to distributions base_path | 
**md5** | **String** | The MD5 checksum if available. | [optional] [readonly] 
**sha1** | **String** | The SHA-1 checksum if available. | [optional] [readonly] 
**sha224** | **String** | The SHA-224 checksum if available. | [optional] [readonly] 
**sha256** | **String** | The SHA-256 checksum if available. | [optional] [readonly] 
**sha384** | **String** | The SHA-384 checksum if available. | [optional] [readonly] 
**sha512** | **String** | The SHA-512 checksum if available. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::FileFileContentResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 artifact: null,
                                 relative_path: null,
                                 md5: null,
                                 sha1: null,
                                 sha224: null,
                                 sha256: null,
                                 sha384: null,
                                 sha512: null)
```


