# PulpFileClient::FileFileRepository

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. | [optional] 
**remote** | **String** | An optional remote to use by default when syncing. | [optional] 
**autopublish** | **Boolean** | Whether to automatically create publications for new repository versions, and update any distributions pointing to this repository. | [optional] [default to false]
**manifest** | **String** | Filename to use for manifest file containing metadata for all the files. | [optional] [default to &#39;PULP_MANIFEST&#39;]

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::FileFileRepository.new(pulp_labels: null,
                                 name: null,
                                 description: null,
                                 retain_repo_versions: null,
                                 remote: null,
                                 autopublish: null,
                                 manifest: null)
```


