# PulpFileClient::RepositoryVersionResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_last_updated** | **DateTime** | Timestamp of the last time this resource was updated. Note: for immutable resources - like content, repository versions, and publication - pulp_created and pulp_last_updated dates will be the same. | [optional] [readonly] 
**number** | **Integer** |  | [optional] [readonly] 
**repository** | **String** |  | [optional] [readonly] 
**base_version** | **String** | A repository version whose content was used as the initial set of content for this repository version | [optional] 
**content_summary** | [**ContentSummaryResponse**](ContentSummaryResponse.md) | Various count summaries of the content in the version and the HREF to view them. | [optional] [readonly] 

## Code Sample

```ruby
require 'PulpFileClient'

instance = PulpFileClient::RepositoryVersionResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 pulp_last_updated: null,
                                 number: null,
                                 repository: null,
                                 base_version: null,
                                 content_summary: null)
```


